## python-questionary 2.1.1

=== Makefile ===
.PHONY: clean install develop lint test types docs livedocs

JOBS ?= 1

help:
	@echo "make"
	@echo "    clean"
	@echo "        Remove Python/build artifacts."
	@echo "    develop"
	@echo "        Configure development environment for questionary."
	@echo "    install"
	@echo "        Install questionary."
	@echo "    lint"
	@echo "        Check the code style and apply black formatting."
	@echo "    test"
	@echo "        Run the unit tests."
	@echo "    types"
	@echo "        Check for type errors using pytype."
	@echo "    docs"
	@echo "        Build the documentation."
	@echo "    livedocs"
	@echo "        Build the documentation with a live preview for quick iteration."

clean:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f  {} +
	rm -rf build/
	rm -rf questionary.egg-info/
	rm -rf .mypy_cache/
	rm -rf .pytest_cache/
	rm -rf dist/
	poetry run make -C docs clean

install:
	poetry install --with="docs"

develop: install
	poetry run pre-commit install

lint:
	poetry run pre-commit run -a

test:
	poetry run pytest --cov questionary -v

types:
	poetry run mypy --version
	poetry run mypy questionary

docs:
	poetry run make -C docs html

livedocs:
	poetry run sphinx-autobuild docs docs/build/html

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W --keep-going -n
SPHINXBUILD   = python -m sphinx
SOURCEDIR     = .
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-questionary 2.0.1

=== debian/changelog ===
python-questionary (2.0.1-2) unstable; urgency=medium

  * Team Upload.
  * Source-only upload.

 -- Emmanuel Arias <eamanu@debian.org>  Tue, 26 Dec 2023 11:22:23 -0300

python-questionary (2.0.1-1) unstable; urgency=low

  * Initial release (Closes: #1057896)

 -- Ananthu C V <weepingclown@disroot.org>  Sat, 09 Dec 2023 16:24:57 +0000

=== debian/control ===
Source: python-questionary
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ananthu C V <weepingclown@disroot.org>
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               python3-poetry-core,
               python3-all,
               python3-sphinx,
               python3-sphinx-copybutton <!nodoc>,
               python3-sphinx-autodoc-typehints <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-prompt-toolkit <!nodoc> <!nocheck>,
               python3-pytest <!nocheck>,
Standards-Version: 4.6.2.0
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/tmbo/questionary
Vcs-Git: https://salsa.debian.org/python-team/packages/python-questionary.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-questionary
Rules-Requires-Root: no

Package: python3-questionary
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
Description: Python library to build pretty command line user prompts
 Questionary is a Python library for effortlessly building pretty command line
 interfaces. It makes it very easy to query users for input.

## python-questionary 2.1.0

=== debian/changelog ===
python-questionary (2.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * d/control: Bump Standards-Version to 4.7.2.0 (from 4.6.2.0; no further
    changes needed).
  * d/patches/remove-failing-test.patch: Remove patch, it was already fixed
    in upstream.

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 17 Mar 2025 19:32:06 -0300

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-sphinx-rtd-theme <!nodoc>,
                python3-prompt-toolkit <!nodoc> <!nocheck>,
                python3-pytest <!nocheck>,
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.2.0
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/tmbo/questionary
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-questionary.git

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME = questionary
export PYBUILD_BEFORE_TEST = cp -r {dir}/examples {build_dir}  #test needs examples
export PYBUILD_AFTER_TEST = rm -rf {build_dir}/examples

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd docs && \
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif

## python-questionary 2.1.1

=== debian/changelog ===
python-questionary (2.1.1-2) unstable; urgency=medium

  * add info that prompt-toolkit 3.0.52 or higher is needed as B-D
  * add python3-sphinx B-D

 -- Ananthu C V <weepingclown@debian.org>  Sun, 07 Sep 2025 16:52:49 +0530

python-questionary (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1
  * build depend on dh-sequence-{python3,sphinxdoc} and cleanup d/rules
  * drop R-R-R: no, it is now default
  * add patch for prompt-toolkit=3.0.52 compatibility (Closes: #1114326)

 -- Ananthu C V <weepingclown@debian.org>  Sun, 07 Sep 2025 10:30:45 +0530

=== debian/control ===
Source: python-questionary
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Ananthu C V <weepingclown@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
 python3-prompt-toolkit (>= 3.0.52) <!nodoc> <!nocheck>,
 python3-pytest <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-autodoc-typehints <!nodoc>,
 python3-sphinx-copybutton <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.7.2
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/tmbo/questionary
Vcs-Git: https://salsa.debian.org/python-team/packages/python-questionary.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-questionary

Package: python3-questionary
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Description: Python library to build pretty command line user prompts
 Questionary is a Python library for effortlessly building pretty command line
 interfaces. It makes it very easy to query users for input.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_AFTER_TEST = rm -rf {build_dir}/examples
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 execute_after_dh_auto_build-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=4
opts="pgpmode=none, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/tmbo/questionary/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
